<template>
  <div class="row justify-center q-pt-lg">
    <div class="col-12 col-sm-12 col-md-5 q-pa-md">
      <!-- <div :class="($q.platform.is.mobile ? '' : 'q-mt-xl q-pl-lg')"> -->
      <div class="full-height q-mx-md">
        <div :class="($q.platform.is.mobile ? 'text-h2' : 'text-h1') + ' text-bold text-white'">
          Security and privacy
        </div>
        <br>
        <div :class="($q.platform.is.mobile ? 'text-h6' : 'text-h5') + ' text-bold text-white'">
          We will never sell your data.
          <br>
          Be the owner. Host yourself.
          <br>
          You are not the product.
        </div>
        <br>
        <div :class="($q.platform.is.mobile ? 'text-subtitle2' : 'text-subtitle1') + ' text-justify text-grey-4'">
          Our goal is to help individuals, groups of individuals, and enterprises make the best of the data they generate. It is our top priority to protect information and right to privacy of our consumers and clients. We are committed to keeping your data private. Let us reiterate: we will never sell your data. We are driven to earn your trust with our privacy and data handling practices.
        </div>
      </div>
    </div>

    <div class="col-12 col-sm-12 offset-md-1 col-md-4 q-px-md">
      <div class="row q-mx-md q-mb-xl justify-between">
        <template v-for="(point, index) in privacyPoints">
          <div :key="index" class="col-5">
            <q-img contain :src="require(`assets/${point.asset}`)" style="height: 160px;" />
            <div class="text-h6 text-white">
              {{ point.description }}
              <q-badge
                class="q-pa-sm"
                v-if="!point.building"
                color="alt-primary"
              >
                Coming soon
              </q-badge>
            </div>
          </div>
        </template>
      </div>
    </div>

    <div id="how" class="row justify-center full-width q-my-lg">
      <q-btn round color="alt-primary " icon="expand_more" to="#how"/>
    </div>
  </div>
</template>

<script lang="ts">
import { defineComponent } from '@vue/composition-api'
export default defineComponent({
  name: 'IndexPrivacy',

  data () {
    return {
      privacyPoints: [
        {
          asset: 'acl.svg',
          description: 'You are in control. Limit access to resources',
          building: true
        },
        {
          asset: '2fa.svg',
          description: 'Two-factor authentication',
          building: false
        },
        {
          asset: 'data.svg',
          description: 'You own your data. You are not the product',
          building: true
        },
        {
          asset: 'shield.svg',
          description: 'Encryption in all networks, external or otherwise',
          building: true
        },
        // {
        //   asset: 'acl.svg',
        //   description: 'You are in control. Limited access to resources',
        //   building: true
        // },
        // {
        //   asset: 'acl.svg',
        //   description: 'You are in control. Limited access to resources',
        //   building: true
        // },
      ]
    }
  }
})
</script>
